VTK: vtkRenderWidget Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRenderWidget Class Reference

`#include <vtkRenderWidget.h>`

Inheritance diagram for vtkRenderWidget:
[legend]
Collaboration diagram for vtkRenderWidget:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkRenderWidget * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetPosition (const vtkVector2i &pos)
| Set the widget position in screen coordinates. More...
vtkVector2i | GetPosition () const
| Get the widget position in screen coordinates. More...
void | SetSize (const vtkVector2i &size)
| Set the widget size in screen coordinates. More...
vtkVector2i | GetSize () const
| Get the widget size in screen coordinates. More...
void | SetName (const std::string &name)
| Set the name of the widget. More...
std::string | GetName () const
| Get the name of the widget. More...
virtual void | Render ()
| Render everything in the current widget. More...
virtual void | MakeCurrent ()
| Make the widget's context current, this will defer to the OS specific methods, and calls should be kept to a minimum as they are quite expensive. More...
void | Initialize ()
void | Start ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderWidget * | SafeDownCast (vtkObjectBase *o)
static vtkRenderWidget * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkRenderWidget ()
| ~vtkRenderWidget () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkVector2i | Position
vtkVector2i | Size
std::string | Name
vtkNew< vtkAbstractInteractionDevice > | InteractionDevice
vtkNew< vtkAbstractRenderDevice > | RenderDevice
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Definition at line 16 of file vtkRenderWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkRenderWidget::Superclass

Definition at line 19 of file vtkRenderWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkRenderWidget()

vtkRenderWidget::vtkRenderWidget | ( |  | ) |
| protected

## ◆ ~vtkRenderWidget()

vtkRenderWidget::~vtkRenderWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkRenderWidget::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkRenderWidget::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkRenderWidget* vtkRenderWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkRenderWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkRenderWidget* vtkRenderWidget::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkRenderWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkRenderWidget* vtkRenderWidget::New | ( |  | ) |
| static

## ◆ SetPosition()

void vtkRenderWidget::SetPosition | ( | const vtkVector2i & | pos | ) |

Set the widget position in screen coordinates.

Parameters

  pos | The position of the widget in screen coordinates.

## ◆ GetPosition()

vtkVector2i vtkRenderWidget::GetPosition | ( |  | ) | const
| inline

Get the widget position in screen coordinates.

Returns
  The position of the widget in screen coordinates, default of 0, 0.

Definition at line 33 of file vtkRenderWidget.h.

## ◆ SetSize()

void vtkRenderWidget::SetSize | ( | const vtkVector2i & | size | ) |

Set the widget size in screen coordinates.

Parameters

  size | The width and height of the widget in screen coordinates

## ◆ GetSize()

vtkVector2i vtkRenderWidget::GetSize | ( |  | ) | const
| inline

Get the widget size in screen coordinates.

Returns
  The width and height of the widget in screen coordinates, default of 300x300.

Definition at line 46 of file vtkRenderWidget.h.

## ◆ SetName()

void vtkRenderWidget::SetName | ( | const std::string & | name | ) |

Set the name of the widget.

Parameters

  name | The name to set to the window.

## ◆ GetName()

std::string vtkRenderWidget::GetName | ( |  | ) | const
| inline

Get the name of the widget.

Returns
  The current name of the widget.

Definition at line 58 of file vtkRenderWidget.h.

## ◆ Render()

virtual void vtkRenderWidget::Render | ( |  | ) |
| virtual

Render everything in the current widget.

## ◆ MakeCurrent()

virtual void vtkRenderWidget::MakeCurrent | ( |  | ) |
| virtual

Make the widget's context current, this will defer to the OS specific methods, and calls should be kept to a minimum as they are quite expensive.

## ◆ Initialize()

void vtkRenderWidget::Initialize | ( |  | ) |

## ◆ Start()

void vtkRenderWidget::Start | ( |  | ) |

## Member Data Documentation

## ◆ Position

vtkVector2i vtkRenderWidget::Position
| protected

Definition at line 79 of file vtkRenderWidget.h.

## ◆ Size

vtkVector2i vtkRenderWidget::Size
| protected

Definition at line 80 of file vtkRenderWidget.h.

## ◆ Name

std::string vtkRenderWidget::Name
| protected

Definition at line 81 of file vtkRenderWidget.h.

## ◆ InteractionDevice

vtkNew<vtkAbstractInteractionDevice> vtkRenderWidget::InteractionDevice
| protected

Definition at line 83 of file vtkRenderWidget.h.

## ◆ RenderDevice

vtkNew<vtkAbstractRenderDevice> vtkRenderWidget::RenderDevice
| protected

Definition at line 84 of file vtkRenderWidget.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkRenderWidget.h